Info E1: HTML-Kurs 
======



### Tags zum Start


<script type="text/javascript">

$(document).ready(function () {
$('.collapse').collapse()

});
</script>

<!-- ---------------------------  -->


<div class="panel-group" id="accordion0">
<!-- ------------- Start  --------------  -->

<div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion0" href="#collapse0">
          Tags für den Anfang
        </a>
      </h4>
    </div>
    <div id="collapse0" class="panel-collapse collapse">
      <div class="panel-body">
Mit <code>Tags</code> bestimmst du, wie der Inhalt einer Webseite dargestellt wird. 
<ul>
<li> Absatz: <code>&lt;p></code>paragraph-Tag<code>&lt;/p></code></li>
<li> kursiv: <code>&lt;em></code>italic-Tag<code>&lt;/em></code></li>
<li> fett: <code>&lt;strong></code>bold-Tag<code>&lt;/strong></code></li>
<li> Überschrift: Von <code>&lt;h1></code>sehr groß<code>&lt;/h1></code> bis <code>&lt;h6></code>sehr klein<code>&lt;/h6></code> (&rarr;     <strong><a href="#id6" aria-controls="id6" role="tab" data-toggle="tab">Beispiel</a></strong>)</li>
<li> neue Zeile: <code>&lt;br /></code>break-Tag</li>
<li> thematische Unterteilung: <code>&lt;hr /></code>horizontale Linie-Tag</li>
</ul>
    </div>
    </div>
  </div>

<!---- ------------- END  --------------  ---->
</div>

---

### Struktur


<div class="panel-group" id="accordion1">
<!-- ------------- Start  --------------  -->

<div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion1" href="#collapse3">
          Struktur einer Webseite
        </a>
      </h4>
    </div>
    <div id="collapse3" class="panel-collapse collapse">
      <div class="panel-body"><pre>
&lt;!DOCTYPE html>
&lt;html>
    &lt;head>
        &lt;meta charset="utf-8">
        &lt;title> Dieser Titel erscheint oben im Browser-Fenster &lt;/title>
    &lt;/head>
    &lt;body>
               Hier darfst du deinen Text eingeben!
               HTML steht übrigens für Hypertext-Markup-Language 
    &lt;/body>
&lt;/html>
    </pre>
    <strong><a href="./webseite.html" target="_blank">Diese HTML-Datei</a></strong> im Browser
    </div>
    </div>
  </div>

<!---- ------------- END  --------------  ---->
</div>


---

### Listen

<div class="panel-group" id="accordion11">
<!-- ------------- Start  --------------  -->


  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion11"  href="#collapse11">Listen</a>
      </h4>
    </div>

    <div id="collapse11" class="panel-collapse collapse">
      <div class="panel-body">
      (<em>Unordentliche</em>) Listen haben wir schon <strong><a href="#id1" aria-controls="id1" role="tab" data-toggle="tab">benutzt</a></strong>!
      <ul><li> kursiv: <code>&lt;em></code>italic-Tag<code>&lt;/em></code> &rarr; <br /> <code>&lt;ul></code><br />        <code>&lt;li></code>kursiv: ...<code>&lt;/li></code><br /> <code>&lt;/ul></code></li>   
      <li>Bei ordentlichen Listen wird durchgezählt: Verwende <code>ol</code>  statt <code>ul</code></li>
      </ul>
      </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>

---

### Bilder

<div class="panel-group" id="accordion9">
<!-- ------------- Start  --------------  -->


  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion9"  href="#collapse9">Image</a>
      </h4>
    </div>

    <div id="collapse9" class="panel-collapse collapse">
      <div class="panel-body">
      <p>Bilder &rarr; <code>&lt;img src="./hubble.jpg"></code><br />
      <img src="./hubble.jpg"  class="imgResponsive"></p>
      <p>Quelle: <small><code>https://www.esa.int/var/esa/storage/images/esa_multimedia/images/2022/09/hubble_spies_a_stately_spiral_galaxy/24477032-1-eng-GB/Hubble_spies_a_stately_spiral_galaxy_pillars.jpg</code></small></p>
      </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>

---

### Links

<div class="panel-group" id="accordion5">
<!-- ------------- Start  --------------  -->


  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion5"  href="#collapse5">Verweise</a>
      </h4>
    </div>

    <div id="collapse5" class="panel-collapse collapse">
      <div class="panel-body">
   Links sind das Herzstück von HTML, Beispiele:  &nbsp;  <ul>
   <li> Link zu <a href="http://nawi.wspnet.de/#!info_e1_html_einf03.md" target="_blank">einer anderen Webseite</a> &rarr; <code>&lt;a href="http://nawi.wspnet.de/#!info_e1_html_einf03.md">einer anderen Webseite&lt;/a></code></li>
   <li> Link zu einer <a href="./webseite.html" target="_blank">Datei in diesem Verzeichnis</a>  &rarr; <code>&lt;a href="./webseite.html">Datei in diesem Verzeichnis&lt;/a></code></li>
   <li> Link auf dieser Seite: <a href="#id2" aria-controls="id2" role="tab" data-toggle="tab">Struktur</a> &rarr; <code>&lt;a href="#id2" ...>Struktur&lt;/a></code></li>
   </ul>     
   </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>

---

### Tabellen

<div class="panel-group" id="accordion13">
<!-- ------------- Start  --------------  -->


  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion13"  href="#collapse13">Tabellen</a>
      </h4>
    </div>

    <div id="collapse13" class="panel-collapse collapse">
      <div class="panel-body">
      Für Tabellen gibt es das <code>&lt;table></code>-Tag. Das reicht aber nicht, da eine Tabelle ja aus Zeilen und Spalten besteht. Also gibt es ein weiteres Tag für eine neue Zeile, das <code>&lt;tr></code>-Tag (steht für <em>table row</em> = Zeile). Statt eines Tags für eine neue Spalte (= <em>column</em>) gibt es jedoch ein Tag für eine neue <strong>Zelle</strong>: das <code>&lt;td></code>-Tag (steht für <em>table data</em>). Das bedeutet: Die Tabelle im Beispiel unten hat 2 Spalten und 3 Zeilen, also gibt es 2 &sdot; 3 = 6 Zellen, demnach steht im HTML-Code insgesamt 6-mal das <code>&lt;td></code>-Tag, Beispiel: <code>&lt;td></code>Wirkung<code>&lt;/td></code> <br /><br />
      <table width="85%" border="1">
        <tr>
                <td align="center">
                <!-- row 1 column 1 -->
                        <b>
                                HTML-Skript
                        </b>
                </td>
                <!-- row 1 column 2 -->
                <td  align="center">
                        <b>
                                Wirkung
                        </b>
                </td>
        </tr>
        <tr>
                <!-- row 3 column 1 -->
                <td align="center">
                                 &lt;h1&gt;gro&szlig;e  &Uuml;berschrift&lt;/h1&gt;
                </td>
                <!-- row 3 column 2 -->
                <td align="center">
                                <h1>gro&szlig;e  &Uuml;berschrift</h1>
                </td>
        </tr>
        <tr>
                <!-- row 2 column 1 -->
                <td align="center">
                                &lt;h6&gt;kleine &Uuml;berschrift&lt;/h6&gt;
                </td>
                <!-- row 2 column 2 -->
                <td align="center">
                                <h6>kleine &Uuml;berschrift</h6>
                </td>
        </tr>
      </table><br/>Im Quellcode:  (&rarr; <strong><a href="./tabelle.html" target="_blank">im Browser</a></strong>)<pre>
      &lt;table>
        &lt;tr>&lt;td>HTML-Skript&lt;/td>
            &lt;td >Wirkung&lt;/td>
        &lt;/tr>
        &lt;tr>&lt;td>&amp;lt;h1&amp;gt;gro&szlig;e  &Uuml;berschrift&amp;lt;/h1&amp;gt;&lt;/td>
            &lt;td>&lt;h1>gro&szlig;e  &Uuml;berschrift&lt;/h1>&lt;/td>
        &lt;/tr>
        &lt;tr>&lt;td>&amp;lt;h6&amp;gt;kleine &Uuml;berschrift&amp;lt;/h6&amp;gt;&lt;/td>
            &lt;td>&lt;h6>kleine &Uuml;berschrift&lt;/h6>&lt;/td>
        &lt;/tr>
      &lt;/table>
      </pre> (&rarr; <strong><a href="#tab-oben">nach oben</a></strong>)
       <!-- Der Anker befindet sich im Template! -->
      </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>

---

### CSS

<div class="panel-group" id="accordion2">
<!-- ------------- Start  --------------  -->


  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion2"  href="#collapse2">CSS</a>
      </h4>
    </div>

    <div id="collapse2" class="panel-collapse collapse">
      <div class="panel-body">
      <p>Mit CSS lässt sich die Optik (= Form) einer Webseite verändern. &nbsp;Mehr findet sich <strong><a href="http://nawi.wspnet.de/#!info_e1_html_einf03.md" target="_blank">hier</a></strong>  
      </p>
      </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>

---

### HTML-Beispiele

<div class="panel-group" id="accordion32">
<!-- ------------- Start  --------------  -->


  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion32"  href="#collapse32">Liste der HTML-Beispiele</a>
      </h4>
    </div>

    <div id="collapse32" class="panel-collapse collapse">
      <div class="panel-body">
<ul>
<li><a href="./webseite.html" target="_blank">Struktur einer Webseite</a></li>
<li><a href="./hubble-image.html" target="_blank">Bilder einbinden in HTML</a></li>
<li><a href="./listen.html" target="_blank">Listen in HTML</a></li>
<li><a href="./tabelle.html" target="_blank">Tabellen-Beispiel</a></li>
<li><a href="./morgenstern.htm" target="_blank">Christian Morgenstern: Die unmögliche Tatsache</a><br /><br /></li>
<li>&rarr; <a href="./simple-ed/index.html" target="_blank">simple code editor</a> (by wsp; lokal!)</li>
<li> <a href="./html_editor_mori/index.html" target="_blank">HTML-Editor</a> von Morteza Mirmojarabian öffnen</li>
</ul>
      </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>

---


### HTML-Links

<div class="panel-group" id="accordion22">
<!-- ------------- Start  --------------  -->


  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion22"  href="#collapse22">Links zu HTML</a>
      </h4>
    </div>

    <div id="collapse22" class="panel-collapse collapse">
      <div class="panel-body">
<ul>
<li> <a href="https://wiki.selfhtml.org/wiki/SELFHTML" target="_blank">SELFHTML</a>, eine Referenz zu HTML</li>
<li> Ein <a href="https://wiki.selfhtml.org/wiki/HTML/Tutorials/Einstieg" target="_blank">Tutorial</a> auf SELFHTML</li>
<li> <a href="https://www.w3schools.com/html/" target="_blank">HTML Tutorial</a> der w3schools (Untertitel der Seite: "Learn to code")</li>
<li> <a href="https://www.ralf-arndt.de/html/html/start.html" target="_blank">HTML-Seiten selbst erstellen</a> von Ralf Arndt (von 2005!)</li>
<li> <a href="./simple-ed/index.html" target="_blank">simple code editor</a> (by wsp; lokal!)</li>
<li> <a href="https://htmleditor.gitlab.io/" target="_blank">HTML Editor online</a> von Morteza Mirmojarabian<br />&rarr; <a href="./html_editor_mori/index.html" target="_blank">lokal gespiegelt</a>, <a href="http://www.wspnet.de/upl/html_editor_mori.zip">Download</a></li>
<li> Dieser Kurs zum <a href="http://upl.wspnet.de/html-kurs-2024.zip">Download</a> </li>
</ul>
      </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>

---
### Info


<div class="panel-group" id="accordion">
<!-- ------------- Start  --------------  -->

<div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion" href="#collapse19">
          HowTo
        </a>
      </h4>
    </div>
    <div id="collapse19" class="panel-collapse collapse">
      <div class="panel-body">
       	<p>Diese HTML-Seite wurde erstellt mit einer alten Version des CSS-Frameworks <strong><a href="https://getbootstrap.com/" target="_blank">Bootstrap</a></strong> sowie mit dem (selbstgeschriebenen) Python-Skript <strong><a href="http://www.wspnet.de/md2tabs/" target="_blank">md2tabs3.py</a></strong>.</p>
      </div>
    </div>
  </div>
  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion" href="#collapseVersion">Version</a>
      </h4>
    </div>
    <div id="collapseVersion" class="panel-collapse collapse">
      <div class="panel-body">
      <blockquote>
        wsp, 2024-11-15, Vers. 009 &nbsp;  
      </blockquote>
      </div>
    </div>
</div>

<div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion" href="#collapseMail">
          Mail
        </a>
      </h4>
    </div>
    <div id="collapseMail" class="panel-collapse collapse">
      <div class="panel-body">
       	<code>walter [dot] spiegel [at] web [dot] de</code>
      </div>
    </div>
  </div>

<div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion" href="#collapse17">
          History
        </a>
      </h4>
    </div>
    <div id="collapse17" class="panel-collapse collapse">
      <div class="panel-body">
       	Der <a href="http://www.wspnet.de/kurs/kurs.htm" target="_blank">Urgroßvater</a> dieser Seite ...
      </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>
---


### Lizenz

<div class="panel-group" id="accordion37">
<!-- ------------- Start  --------------  -->

  <div class="panel panel-primary"> 
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion37"  href="#collapse37">Lizenzmodell</a>
      </h4>
    </div>

    <div id="collapse37" class="panel-collapse collapse">
      <div class="panel-body">
       <p>Der Inhalt dieses HTML-Kurses steht unter der <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/" target="_blank">Creative Commons-Lizenz</a> – bis auf den <a href="https://gitlab.com/htmleditor/htmleditor.gitlab.io" target="_blank">HTML Editor</a> von Morteza Mirmojarabian, der unter der <a href="https://de.wikipedia.org/wiki/MIT-Lizenz" target="_blank">MIT-Lizenz</a> steht.<br /><img src="./88x31.png">
       </p>
      </div>
    </div>
  </div>
<!---- ------------- END  --------------  ---->
</div>

* * *



